1

I have an older Raspberry Pi 2 that I'd like to put the latest compatible OS on. The specs of my Raspberry Pi: Raspberry Pi 2 Model B 1 GB from Canakit.com It came with a 8 GB SD card. I bought it about June, 2015.

My understanding is that I can download the latest compatible OS version onto an SD card on my Windows 10 machine. I'm getting this idea from: https://www.raspberrypi.org/documentation/installation/installing-images/

However, from the mentioned document, I have no idea which OS version I should be looking for. Surely some run on Raspberry Pi 4 an not 2? Also, other documents have mentioned that the firmware might need updating. How is this done?

Thanks!

P.S. I know I'm not suppose to mentioned more than one issue/question, but I can't resist saying that I'm doing all this to (1) learn more about Raspberry/Linux and (2) I'm taking an algorithms course through Coursera.org. I'm hoping I can put a JAVA development environment (Eclipse?) on my Pi 2 and not put it on my work computer.

  • 2
    What have you tried? Raspberry Pi OS (32 bit) runs on every model Pi ever made. PS I would not be using a 5 year old SD Card. – Milliways Jul 26 '20 at 6:17
  • 1
    @Dave - the problem is that the RPi4 cannot run older Raspbian versions before Buster. There is no problem the other way around. (Modern OS will run on all models). – Michael Harvey Jul 26 '20 at 9:36
  • 1
    "I know I'm not suppose to mentioned more than one issue/question" -> I hope it has not been me that is scaring people like this, lol. Anyway, the point is that what you are asking about is a coherent, logically (as opposed to arbitrarily) related whole. What you have here is fine. An example of inappropriate would be if you tacked on, "Oh, and I want the new install to boot into minecraft, how do I do that?", no offence to minecraft users. – goldilocks Jul 26 '20 at 14:33
  • Thank goldilocks, it's nice to feel welcome. Some sites, English Language and Usage comes to mind, are quite unforgiving. Miss a comma, and they'll flag your post :) Others, such as the bicycle group, will put up with questions like "which is the front wheel and which is the back wheel" with good nature. I suspect my questions about Raspberry will be about the same level as "which is the front wheel" until I get up to speed! – Dave Jul 26 '20 at 20:09
  • You have significantly changed the Question by adding additional limitations. Do yourself a favour and buy a new SD Card. They only cost a few dollars, and most come with adapters. You CAN'T do it on the Pi itself (at least without additional hardware.) USB SD Card readers also only cost a few dollars. PS Try writing in paragraphs! – Milliways Jul 27 '20 at 0:39
0

As per comments, Raspbian/RpiOS by intention runs on all available models of Pi.

the firmware might need updating. How is this done?

Firmware is distributed as part of the OS, stored in the boot partition and a directory in /lib; the former is applied by the bootloader/boot process of the SoC and the latter the kernel. Updates are maintained like the regular system software, by the package manager.

  • Please see update. – Dave Jul 26 '20 at 20:03
  • 1
    Milliways is right Dave -- people will not want to help you if you ask a question then after people have answered it, you change your question to invalidate those answers. The new question really has not much to do with the old one, and for that reason I have rolled your edit back. Please post a new question instead. – goldilocks Jul 27 '20 at 14:41
  • Thanks. I see your point. I've ordered a micro sd card and usb reader. Let me research the problem some more and post a new question. Regards, Dave – Dave Jul 27 '20 at 16:13
  • For anyone following this later.... With the suggestion of new microSD card and usb card reader I was able to use the instructions in the document I referenced and get Version 10 (buster) on my Pi2. I assume this is the latest and greatest! Firmware (from command "uname -a") is 5.4.51-v7+ #1327 . Thanks all! – Dave Jul 31 '20 at 15:15
  • It might be worth mentioning that the Pi4 also has firmware loaded in EEPROM? – Seamus Aug 31 '20 at 20:04

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.